Page MenuHomePhabricator

MsUpload does not show up in mediawiki >=1.27
Open, MediumPublic

Description

I just updated from mediawiki 1.26 to mediawiki 1.27 (including all extensions), and since then, the MsUpload-bar won't show up.
The MsUpload-Extension is shown as istalled in Special:Version .

However, if I try to edit an article, the MsUpload-bar won't show up. It is just not there.

Apache and php do not throw any error...

Event Timeline

Produnis created this task.Jul 5 2016, 10:10 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 5 2016, 10:10 AM

Is there any output in the developer tools of your web browser?

Nothing, firefox composer and inspector do not give any errors either...

am I really the only one facing this problem?

Produnis closed this task as Resolved.Aug 26 2016, 6:26 PM
Produnis claimed this task.

I solved this problem by downloading the extension from https://github.com/mediawiki4intranet/MsUpload and and overwite the "official" version from https://www.mediawiki.org/wiki/Special:ExtensionDistributor/MsUpload.

So, this version of MsUpload works with mediawiki 1.27: https://github.com/mediawiki4intranet/MsUpload

Ciencia_Al_Poder reopened this task as Open.Aug 26 2016, 7:09 PM
Ciencia_Al_Poder removed Produnis as the assignee of this task.

I don't think this task should be closed. The extension's page on MediaWiki.org points to the git repository hosted on WMF: rEMSU, connected to Extension Distributor, to provide versions of this extension, but the extension located in https://github.com/mediawiki4intranet/MsUpload is not the same. It's a fork.

If the extension in WMF's git repository is no longer maintained, but instead maintenance is done on an external repository, we should change this in the extension's page and point to that external repository, as well as closing all bug reports here.

cc'ing 2 of the maintainers of the extension here in case they're not aware and let them decide.

Sophivorus added a comment.EditedAug 27 2016, 2:57 PM

I was unaware of this issue. I just tried the latest version of the extension on my local MediaWiki 1.27.1 and had no trouble (see screen attached). I understand that this is an issue for many users, but if I cannot reproduce the problem, I cannot fix it. I need more data.

My first suspicion is that this is a compatibility issue with some frequent extension. Could someone experiencing this issue take the time to disable all extensions, see if MsUpload works then, and if it does re-enable the extensions one by one to see where the problem is? Thanks!

This is still broke as of today.

I am using: https://github.com/wikimedia/mediawiki-extensions-MsUpload.git

Should I use a different clone url?

There are so many places to get this and I am new to the entire storage structure of all these projects.

Replying to T139341#2588377 still welcome:

Could someone experiencing this issue take the time to disable all extensions, see if MsUpload works then, and if it does re-enable the extensions one by one to see where the problem is?

I am using: https://github.com/wikimedia/mediawiki-extensions-MsUpload.git
Should I use a different clone url?

T139341#2587056 implies that it could be worth a shot.

So I can see that for some reason that the source of the edit pages being generated is:

{"scriptPath":"","flash_swf_url":"/home/user/rootdir/extensions/MsUpload/plupload/Moxie.swf","silverlight_xap_url":"/home/user/rootdir/extensions/MsUpload/plupload/Moxie.xap"
{"scriptPath":"","flash_swf_url":"/home/user/rootdir/extensions/MsUpload/plupload/Moxie.swf","silverlight_xap_url":"/home/user/rootdir/extensions/MsUpload/plupload/Moxie.xap"

I am looking at the source but anyone have any idea?

php 5.6

Instead of master, installed gz for 1.27.1 and still no dice.

Now the code above does not show up. It is loading the plugin but no dice on the drag and drop upload.

So https://github.com/mediawiki4intranet/MsUpload.git does work but what is the deal here...is this the official repo? Why isnt the mediwiki repo updated?

It works for me on MediaWiki 1.27.1. The drag & drop area only appears if I use the "enhanced edit toolbar" in my preferences (provided by Extension:Wikieditor), otherwise it won't show up. And also added the extension specific parameters to LocalSettings.php that appear on the extension's page:

$wgMSU_useDragDrop = true; // Should the drag & drop area be shown? (Not set by default)
$wgMSU_showAutoCat = true; // If true, files uploaded while editing a category will be added to that category
$wgMSU_checkAutoCat = true; // Whether the checkbox for the above mentioned case is checked by default
$wgMSU_useMsLinks = false; // Should we allow to insert links in the style of the Extension:MsLinks?
$wgMSU_confirmReplace = true; // Show the "Replace file?" checkbox
$wgMSU_imgParams = '400px'; // The default parameters for inserted images

@Sophivorus I think the issue here is that it's advertised as adding the upload icon and drag&drop "to the editor and WikiEditor." which is not true. It works with WikiEditor but not on the classic editor. The github repo has probably fixed that working in both editors

I would assume that this is my issue then. I am going to have to check out on my end if it works. If I remember correctly a few people were having an issue w/ this plugin and I wonder if this is why.

It even works with mediawiki 1.28.0 so I think you might have an old version or you did not follow the instructions 100%.

I think the issue here is that it's advertised as adding the upload icon and drag&drop "to the editor and WikiEditor." which is not true. It works with WikiEditor but not on the classic editor. The github repo has probably fixed that working in both editors

This seems to be the problem. This extension (at least the version in the WMF repository) requires the WikiEditor extension to be enabled, and in other situations is not loaded. I've added a note to the installation instructions.

(I do get a TypeError: mw.toolbar is undefined when one of the "Insert link" or "Insert as image" links are clicked, but that's a separate issue.)

Sophivorus closed this task as Resolved.Feb 9 2017, 1:42 PM
Sophivorus claimed this task.

Well, I did some testing and here are my results:

  • The MsUpload version hosted at GitHub didn't work for me in 1.27, 1.28 nor 1.29, with or without the WikiEditor enabled. I suspect that it should have worked when WikiEditor is enabled (it may be a local issue that prevented it from working) but in any case I checked the source code and it's clearly designed to work only when WikiEditor is enabled, not when it isn't.
  • The MsUpload version hosted at Gerrit worked fine for me in 1.27, 1.28 and 1.29, but only with the WikiEditor enabled. The code is designed to load the buttons only when WikiEditor is enabled.

Therefore, it seems to me that the best thing to do is what @Samwilson just did (update the documentation to list WikiEditor as a dependency). If someone feels that the extension should work without WikiEditor, then that person may request an enhancement. I will also contact the GitHub repo to urge them to collaborate with the Gerrit version, rather than maintain a parallel one.
I'm closing this task as resolved then. Please re-open it if you feel there's more to do.

Please close this right after I post this. I edited: https://www.mediawiki.org/wiki/Extension:MsUpload to have the instructions to enable: "enhanced edit toolbar"

I have just tested today with 1.28.2 and that was the only way to get it up. I think it is a non issue but I had to come back to this thread to get it to work.

I did not see on the extension install page to do that and somehow I missed Ciencia_Al_Poder's comment.

I wanted to make sure this was here in case someone finds it on google and wants the answer.

Sorry for bringing up an old issue but honestly it took this long to get the time to test it.

Thanks for clarifying, @Webdawg . Note also that the WikiEditor requirement is planned to be removed in T163989, which will make installation of this extension simpler.

  • The MsUpload version hosted at Gerrit worked fine for me in 1.27, 1.28 and 1.29, but only with the WikiEditor enabled. The code is designed to load the buttons only when WikiEditor is enabled.

Soph - where is this Gerrit version - can you please provide a link?

Here is a photo of what I currently see, inMediaWiki version1.27.3:

http://imgur.com/a/xuRFw

The WikiEditor extension is enabled and the wikieditor bar is visible, but no Msupload bar!

Damn I loved loved loved this extension. It is the best extension ever made. Now it is a terrible worthless aberration that has so many bugs in it.

Whoever redesigned this extension should be reprimanded.

  1. The extension no longer works at all for 1.27.
  2. It no longer works without WikiEditor
  3. If you have mediawiki 1.25 or before, the extension no longer works.

I upgraded from mediawiki 1.19 just to use this extension, unbeknownst to me, it is now a steaming pile of dog shit.

@Moscowamerican You can download the Gerrit versions from https://www.mediawiki.org/wiki/Special:ExtensionDistributor/MsUpload
Test it out, and if you still have trouble, you can hire me to fix it, https://www.upwork.com/freelancers/~017a81393fa108bff5
Cheers!

Catalan reopened this task as Open.Jul 21 2017, 3:10 PM
Catalan triaged this task as Medium priority.
Catalan added a subscriber: Catalan.

The user has reported on IRC that this extension still does not work with MediaWiki 1.27

Moscowamerican added a comment.EditedJul 21 2017, 3:12 PM

@Moscowamerican You can download the Gerrit versions from https://www.mediawiki.org/wiki/Special:ExtensionDistributor/MsUpload
Test it out, and if you still have trouble, you can hire me to fix it, https://www.upwork.com/freelancers/~017a81393fa108bff5
Cheers!

Thank you Sophivorus! You are a gentleman and a saint!

Thank you for the screenshot of how it is supposed to look:

https://phab.wmfusercontent.org/file/data/2glih3jbun37vy2bbxd5/PHID-FILE-tgi7f2dafdeswc55b2gi/Screen_Shot_2016-08-27_at_11.55.08_AM.png

I have confirmed that the MsUpload button is indeed missing. I created an account on the wiki and I cannot access the extension feature either.

Did you guys enable the enhanced edit toolbar?

<12:28 moscowamerican_: 1.27, 1.28, 1.29 master, 1.22 and 1.24 do not work>

This message by the user in IRC confirms that this is a serious issue not just affecting one wiki or one MediaWiki version of the extension

Catalan removed Sophivorus as the assignee of this task.Jul 21 2017, 4:34 PM

This still isn't resolved - whoever gets the final fix can reclaim this task

This is still an error in 1.32

Aklapper renamed this task from MsUpload does not show up in mediawiki 1.27 to MsUpload does not show up in mediawiki >=1.27.Feb 1 2019, 10:04 PM